MotorWare f2806x Driver API Documentation

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Variables
LIN

## Data Structures
struct | SCIGCR0_BITS
union | SCIGCR0_REG
struct | SCIGCR1_BITS
union | SCIGCR1_REG
struct | SCIGCR2_BITS
union | SCIGCR2_REG
struct | SCISETINT_BITS
union | SCISETINT_REG
struct | SCICLEARINT_BITS
union | SCICLEARINT_REG
struct | SCISETINTLVL_BITS
union | SCISETINTLVL_REG
struct | SCICLEARINTLVL_BITS
union | SCICLEARINTLVL_REG
struct | SCIFLR_BITS
union | SCIFLR_REG
struct | SCIINTVECT0_BITS
union | SCIINTVECT0_REG
struct | SCIINTVECT1_BITS
union | SCIINTVECT1_REG
struct | SCIFORMAT_BITS
union | SCIFORMAT_REG
struct | BRSR_BITS
union | BRSR_REG
struct | SCIPIO2_BITS
union | SCIPIO2_REG
struct | LINCOMP_BITS
union | LINCOMP_REG
struct | LINRD0_BITS
union | LINRD0_REG
struct | LINRD1_BITS
union | LINRD1_REG
struct | LINMASK_BITS
union | LINMASK_REG
struct | LINID_BITS
union | LINID_REG
struct | LINTD0_BITS
union | LINTD0_REG
struct | LINTD1_BITS
union | LINTD1_REG
struct | IODFTCTRL_BITS
union | IODFTCTRL_REG
struct | LIN_REGS

## Variables
volatile struct LIN_REGS | LinaRegs

## Detailed Description

## Data Structure Documentation

struct SCIGCR0_BITS

Definition at line 63 of file lin.h.

Data Fields
uint16_t | RESET:1 |
uint16_t | rsvd1:15 |
uint16_t | rsvd2:16 |

union SCIGCR0_REG

Definition at line 70 of file lin.h.

Data Fields
uint32_t | all |
struct SCIGCR0_BITS | bit |

struct SCIGCR1_BITS

Definition at line 76 of file lin.h.

Data Fields
uint16_t | ADAPT:1 |
uint16_t | CLK_MASTER:1 |
uint16_t | COMMMODE:1 |
uint16_t | CONT:1 |
uint16_t | CTYPE:1 |
uint16_t | HGENCTRL:1 |
uint16_t | LINMODE:1 |
uint16_t | LOOPBACK:1 |
uint16_t | MBUFMODE:1 |
uint16_t | PARITY:1 |
uint16_t | PARITYENA:1 |
uint16_t | rsvd2:2 |
uint16_t | rsvd3:6 |
uint16_t | rsvd4:6 |
uint16_t | RXENA:1 |
uint16_t | SLEEP:1 |
uint16_t | STOP:1 |
uint16_t | STOPEXTFRAME:1 |
uint16_t | SWnRST:1 |
uint16_t | TIMINGMODE:1 |
uint16_t | TXENA:1 |

union SCIGCR1_REG

Definition at line 101 of file lin.h.

Data Fields
uint32_t | all |
struct SCIGCR1_BITS | bit |

struct SCIGCR2_BITS

Definition at line 107 of file lin.h.

Data Fields
uint16_t | CC:1 |
uint16_t | GENWU:1 |
uint16_t | POWERDOWN:1 |
uint16_t | rsvd1:7 |
uint16_t | rsvd2:7 |
uint16_t | rsvd3:14 |
uint16_t | SC:1 |

union SCIGCR2_REG

Definition at line 118 of file lin.h.

Data Fields
uint32_t | all |
struct SCIGCR2_BITS | bit |

struct SCISETINT_BITS

Definition at line 124 of file lin.h.

Data Fields
uint16_t | rsvd1:2 |
uint16_t | rsvd2:1 |
uint16_t | rsvd3:3 |
uint16_t | rsvd4:2 |
uint16_t | rsvd5:2 |
uint16_t | rsvd6:1 |
uint16_t | rsvd7:5 |
uint16_t | SETBEINT:1 |
uint16_t | SETBRKDTINT:1 |
uint16_t | SETCEINT:1 |
uint16_t | SETFEINT:1 |
uint16_t | SETIDINT:1 |
uint16_t | SETISFEINT:1 |
uint16_t | SETNREINT:1 |
uint16_t | SETOEINT:1 |
uint16_t | SETPBEINT:1 |
uint16_t | SETPEINT:1 |
uint16_t | SETRXINT:1 |
uint16_t | SETTIMEOUTINT:1 |
uint16_t | SETTOA3WUSINT:1 |
uint16_t | SETTOAWUSINT:1 |
uint16_t | SETTXINT:1 |
uint16_t | SETWAKEUPINT:1 |

union SCISETINT_REG

Definition at line 151 of file lin.h.

Data Fields
uint32_t | all |
struct SCISETINT_BITS | bit |

struct SCICLEARINT_BITS

Definition at line 157 of file lin.h.

Data Fields
uint16_t | CLRBEINT:1 |
uint16_t | CLRBRKDTINT:1 |
uint16_t | CLRCEINT:1 |
uint16_t | CLRFEINT:1 |
uint16_t | CLRIDINT:1 |
uint16_t | CLRISFEINT:1 |
uint16_t | CLRNREINT:1 |
uint16_t | CLROEINT:1 |
uint16_t | CLRPBEINT:1 |
uint16_t | CLRPEINT:1 |
uint16_t | CLRRXINT:1 |
uint16_t | CLRTIMEOUTINT:1 |
uint16_t | CLRTOA3WUSINT:1 |
uint16_t | CLRTOAWUSINT:1 |
uint16_t | CLRTXINT:1 |
uint16_t | CLRWAKEUPINT:1 |
uint16_t | rsvd1:2 |
uint16_t | rsvd2:1 |
uint16_t | rsvd3:3 |
uint16_t | rsvd4:2 |
uint16_t | rsvd5:2 |
uint16_t | rsvd6:1 |
uint16_t | rsvd7:5 |

union SCICLEARINT_REG

Definition at line 184 of file lin.h.

Data Fields
uint32_t | all |
struct SCICLEARINT_BITS | bit |

struct SCISETINTLVL_BITS

Definition at line 190 of file lin.h.

Data Fields
uint16_t | rsvd1:2 |
uint16_t | rsvd2:1 |
uint16_t | rsvd3:3 |
uint16_t | rsvd4:2 |
uint16_t | rsvd5:2 |
uint16_t | rsvd6:1 |
uint16_t | rsvd7:5 |
uint16_t | SETBEINTLVL:1 |
uint16_t | SETBRKDTINTLVL:1 |
uint16_t | SETCEINTLVL:1 |
uint16_t | SETFEINTLVL:1 |
uint16_t | SETIDINTLVL:1 |
uint16_t | SETISFEINTLVL:1 |
uint16_t | SETNREINTLVL:1 |
uint16_t | SETOEINTLVL:1 |
uint16_t | SETPBEINTLVL:1 |
uint16_t | SETPEINTLVL:1 |
uint16_t | SETRXINTOVO:1 |
uint16_t | SETTIMEOUTINTLVL:1 |
uint16_t | SETTOA3WUSINTLVL:1 |
uint16_t | SETTOAWUSINTLVL:1 |
uint16_t | SETTXINTLVL:1 |
uint16_t | SETWAKEUPINTLVL:1 |

union SCISETINTLVL_REG

Definition at line 217 of file lin.h.

Data Fields
uint32_t | all |
struct SCISETINTLVL_BITS | bit |

struct SCICLEARINTLVL_BITS

Definition at line 223 of file lin.h.

Data Fields
uint16_t | CLRBEINTLVL:1 |
uint16_t | CLRBRKDTINTLVL:1 |
uint16_t | CLRCEINTLVL:1 |
uint16_t | CLRFEINTLVL:1 |
uint16_t | CLRIDINTLVL:1 |
uint16_t | CLRISFEINTLVL:1 |
uint16_t | CLRNREINTLVL:1 |
uint16_t | CLROEINTLVL:1 |
uint16_t | CLRPBEINTLVL:1 |
uint16_t | CLRPEINTLVL:1 |
uint16_t | CLRRXINTLVL:1 |
uint16_t | CLRTIMEOUTINTLVL:1 |
uint16_t | CLRTOA3WUSINTLVL:1 |
uint16_t | CLRTOAWUSINTLVL:1 |
uint16_t | CLRTXINTLVL:1 |
uint16_t | CLRWAKEUPINTLVL:1 |
uint16_t | rsvd1:2 |
uint16_t | rsvd2:1 |
uint16_t | rsvd3:3 |
uint16_t | rsvd4:2 |
uint16_t | rsvd5:2 |
uint16_t | rsvd6:1 |
uint16_t | rsvd7:5 |

union SCICLEARINTLVL_REG

Definition at line 250 of file lin.h.

Data Fields
uint32_t | all |
struct SCICLEARINTLVL_BITS | bit |

struct SCIFLR_BITS

Definition at line 256 of file lin.h.

Data Fields
uint16_t | BE:1 |
uint16_t | BRKDT:1 |
uint16_t | BUSY:1 |
uint16_t | CE:1 |
uint16_t | FE:1 |
uint16_t | IDLE:1 |
uint16_t | IDRXFLAG:1 |
uint16_t | IDTXFLAG:1 |
uint16_t | ISFE:1 |
uint16_t | NRE:1 |
uint16_t | OE:1 |
uint16_t | PBE:1 |
uint16_t | PE:1 |
uint16_t | rsvd2:1 |
uint16_t | rsvd3:1 |
uint16_t | rsvd4:8 |
uint16_t | RXRDY:1 |
uint16_t | RXWAKE:1 |
uint16_t | TIMEOUT:1 |
uint16_t | TOA3WUS:1 |
uint16_t | TOAWUS:1 |
uint16_t | TXEMPTY:1 |
uint16_t | TXRDY:1 |
uint16_t | TXWAKE:1 |
uint16_t | WAKEUP:1 |

union SCIFLR_REG

Definition at line 285 of file lin.h.

Data Fields
uint32_t | all |
struct SCIFLR_BITS | bit |

struct SCIINTVECT0_BITS

Definition at line 291 of file lin.h.

Data Fields
uint16_t | INTVECT0:5 |
uint16_t | rsvd1:11 |
uint16_t | rsvd2:16 |

union SCIINTVECT0_REG

Definition at line 298 of file lin.h.

Data Fields
uint32_t | all |
struct SCIINTVECT0_BITS | bit |

struct SCIINTVECT1_BITS

Definition at line 304 of file lin.h.

Data Fields
uint16_t | INTVECT1:5 |
uint16_t | rsvd1:11 |
uint16_t | rsvd2:16 |

union SCIINTVECT1_REG

Definition at line 311 of file lin.h.

Data Fields
uint32_t | all |
struct SCIINTVECT1_BITS | bit |

struct SCIFORMAT_BITS

Definition at line 317 of file lin.h.

Data Fields
uint16_t | CHAR:3 |
uint16_t | LENGTH:3 |
uint16_t | rsvd1:13 |
uint16_t | rsvd2:13 |

union SCIFORMAT_REG

Definition at line 325 of file lin.h.

Data Fields
uint32_t | all |
struct SCIFORMAT_BITS | bit |

struct BRSR_BITS

Definition at line 331 of file lin.h.

Data Fields
uint16_t | M:4 |
uint16_t | rsvd1:4 |
uint16_t | SCI_LIN_PSH:8 |
uint16_t | SCI_LIN_PSL:16 |

union BRSR_REG

Definition at line 339 of file lin.h.

Data Fields
uint32_t | all |
struct BRSR_BITS | bit |

struct SCIPIO2_BITS

Definition at line 345 of file lin.h.

Data Fields
uint16_t | rsvd1:1 |
uint16_t | rsvd2:13 |
uint16_t | rsvd3:16 |
uint16_t | RXIN:1 |
uint16_t | TXIN:1 |

union SCIPIO2_REG

Definition at line 354 of file lin.h.

Data Fields
uint32_t | all |
struct SCIPIO2_BITS | bit |

struct LINCOMP_BITS

Definition at line 361 of file lin.h.

Data Fields
uint16_t | rsvd1:5 |
uint16_t | rsvd2:6 |
uint16_t | rsvd3:16 |
uint16_t | SBREAK:3 |
uint16_t | SDEL:2 |

union LINCOMP_REG

Definition at line 370 of file lin.h.

Data Fields
uint32_t | all |
struct LINCOMP_BITS | bit |

struct LINRD0_BITS

Definition at line 377 of file lin.h.

Data Fields
uint16_t | RD0:8 |
uint16_t | RD1:8 |
uint16_t | RD2:8 |
uint16_t | RD3:8 |

union LINRD0_REG

Definition at line 385 of file lin.h.

Data Fields
uint32_t | all |
struct LINRD0_BITS | bit |

struct LINRD1_BITS

Definition at line 391 of file lin.h.

Data Fields
uint16_t | RD4:8 |
uint16_t | RD5:8 |
uint16_t | RD6:8 |
uint16_t | RD7:8 |

union LINRD1_REG

Definition at line 399 of file lin.h.

Data Fields
uint32_t | all |
struct LINRD1_BITS | bit |

struct LINMASK_BITS

Definition at line 405 of file lin.h.

Data Fields
uint16_t | rsvd1:8 |
uint16_t | rsvd2:8 |
uint16_t | RXIDMASK:8 |
uint16_t | TXIDMASK:8 |

union LINMASK_REG

Definition at line 413 of file lin.h.

Data Fields
uint32_t | all |
struct LINMASK_BITS | bit |

struct LINID_BITS

Definition at line 419 of file lin.h.

Data Fields
uint16_t | IDBYTE:8 |
uint16_t | IDSLAVETASKBYTE:8 |
uint16_t | RECEIVEDID:8 |
uint16_t | rsvd1:8 |

union LINID_REG

Definition at line 427 of file lin.h.

Data Fields
uint32_t | all |
struct LINID_BITS | bit |

struct LINTD0_BITS

Definition at line 433 of file lin.h.

Data Fields
uint16_t | TD0:8 |
uint16_t | TD1:8 |
uint16_t | TD2:8 |
uint16_t | TD3:8 |

union LINTD0_REG

Definition at line 441 of file lin.h.

Data Fields
uint32_t | all |
struct LINTD0_BITS | bit |

struct LINTD1_BITS

Definition at line 447 of file lin.h.

Data Fields
uint16_t | TD4:8 |
uint16_t | TD5:8 |
uint16_t | TD6:8 |
uint16_t | TD7:8 |

union LINTD1_REG

Definition at line 455 of file lin.h.

Data Fields
uint32_t | all |
struct LINTD1_BITS | bit |

struct IODFTCTRL_BITS

Definition at line 461 of file lin.h.

Data Fields
uint16_t | BERRENA:1 |
uint16_t | BRKDTERRENA:1 |
uint16_t | CERRENA:1 |
uint16_t | FERRENA:1 |
uint16_t | IODFTENA:4 |
uint16_t | ISFERRENA:1 |
uint16_t | LPBENA:1 |
uint16_t | PBERRENA:1 |
uint16_t | PERRENA:1 |
uint16_t | PINSAMPLEMASK:2 |
uint16_t | rsvd:1 |
uint16_t | rsvd1:6 |
uint16_t | rsvd2:4 |
uint16_t | rsvd3:3 |
uint16_t | RXPENA:1 |
uint16_t | TXSHIFT:3 |

union IODFTCTRL_REG

Definition at line 481 of file lin.h.

Data Fields
uint32_t | all |
struct IODFTCTRL_BITS | bit |

struct LIN_REGS

Definition at line 491 of file lin.h.

Data Fields
union BRSR_REG | BRSR |
union IODFTCTRL_REG | IODFTCTRL |
union LINCOMP_REG | LINCOMP |
union LINID_REG | LINID |
union LINMASK_REG | LINMASK |
union LINRD0_REG | LINRD0 |
union LINRD1_REG | LINRD1 |
union LINTD0_REG | LINTD0 |
union LINTD1_REG | LINTD1 |
uint32_t | MBRSR |
uint32_t | rsvd1[2] |
uint32_t | rsvd2[6] |
uint32_t | rsvd3[4] |
union SCICLEARINT_REG | SCICLEARINT |
union SCICLEARINTLVL_REG | SCICLEARINTLVL |
uint32_t | SCIED |
union SCIFLR_REG | SCIFLR |
union SCIFORMAT_REG | SCIFORMAT |
union SCIGCR0_REG | SCIGCR0 |
union SCIGCR1_REG | SCIGCR1 |
union SCIGCR2_REG | SCIGCR2 |
union SCIINTVECT0_REG | SCIINTVECT0 |
union SCIINTVECT1_REG | SCIINTVECT1 |
union SCIPIO2_REG | SCIPIO2 |
uint32_t | SCIRD |
union SCISETINT_REG | SCISETINT |
union SCISETINTLVL_REG | SCISETINTLVL |
uint32_t | SCITD |

## Variable Documentation

volatile struct LIN_REGS LinaRegs